

 /*+-------------------------------------------------------+
   |          SUGI 29 Sample                               |
   |          SAS MAPPING: Tips and tricks                 |
   |                                                       |
   |    NAME: make_usstat.sas                              |
   |   TITLE: setup program for creating dataset used by   |
   |          WebUSMap.sas.  See that file for details.    |
   |          This program must be run first and only once |
   |          to create the test dataset used.             |
   | PRODUCT: GRAPH                                        |
   |                                                       |
   |   NOTES: Last Update 19FEB04                          |
   +-------------------------------------------------------+*/
libname sampdat '.';

data SAMPDAT.USSTAT(label='Demographic data published by U.S. Government.  Supplied for sample purposes only.');
  length statenam $ 20;
  format pop comma11.0;
  format growth percent7.2;
  format death percent7.2;
  format birth percent7.2;
  label statenam='State';
  label pop='Population';
  label growth='Growth Rate';
  label birth='Birth Rate';
  label death='Death Rate';
  label intmig='Net International Immigration';
  label dommig='Net Domestic Immigration';
  input statecode $ & pop growth birthn deathn intmig dommig;
  growth = growth/100;
  death  = deathn/pop ;
  birth  = birthn/pop ;
  state  = stfips(statecode);
  statenam  = stnamel(statecode);
  



*Statecode Population GrowthRate Births Deaths NetInternationMigration NetDomesticMigration;
datalines;
AL                     4369862     0.4   62047   43831    1590    -611
AK                      619500     0.7    9913    2614     963   -4076
AZ                     4778332     2.4   78120   38971   11634   59196
AR                     2551373     0.5   36882   27454    1330    2422
CA                    33145121     1.4  522160  225723  248490  -80952
CO                     4056133     2.2   59709   26853    8639   44614
CT                     3282031     0.3   43499   29991    8259  -11447
DE                      753538     1.3   10591    6677    1160    4512
DC                      519000    -0.5    7668    5893    2941   -7227
FL                    15111244     1.4  195784  159752   80463   86511
GA                     7788240       2  122385   60930   14776   73084
HI                     1185497    -0.4   17548    7431    4721  -20112
ID                     1251700     1.7   19414    9212    2866    7457
IL                    12128370     0.5  182732  105779   47172  -65930
IN                     5942901     0.6   85266   53781    4801    -659
IA                     2869413     0.3   37371   28750    3398   -3008
KS                     2654052     0.6   38463   24209    4110   -2915
KY                     3960825     0.7   54438   38072    2339    8090
LA                     4372035     0.2   66740   40555    2267  -19050
ME                     1253040     0.4   13793   12164     527    3611
MD                     5171634     0.8   71782   42690   17174   -4472
MA                     6175169     0.5   81719   55894   14939   -8656
MI                     9863775     0.4  133852   85878   13576  -16966
MN                     4775508       1   65332   37813    7877   13743
MS                     2768619     0.6   42885   27820     791    1227
MO                     5468338     0.6   75376   55413    5266    5414
MT                      882779     0.4   10814    8066     231     249
NE                     1666028     0.3   23592   15437    2003   -4627
NV                     1809253     3.8   28727   14653    9097   40912
NH                     1201134     1.3   14660    9564    1133    9185
NJ                     8143412     0.6  111487   71578   39749  -31294
NM                     1739844     0.4   27855   13550    4170  -12554
NY                    18196601     0.2  255508  154274  103745 -167818
NC                     7650789     1.4  111720   68064    8261   52806
ND                      633666    -0.6    7943    6015     854   -7051
OH                    11256654     0.2  152744  106354    6476  -32671
OK                     3358044     0.6   49424   34074    3510     224
OR                     3316154       1   45354   29587    8126   10592
PA                    11994016    -0.1  145840  127247   13038  -37935
RI                      990819     0.3   12628    9769    1553   -1029
SC                     3885736     1.2   53894   34966    2458   24995
SD                      733133     0.3   10300    6984     790   -1782
TN                     5483535     0.9   77486   53545    4145   22918
TX                    20044141     1.7  342911  143294   81934   47471
UT                     2129836     1.4   45261   11915    4330   -8657
VT                      593740     0.5    6604    4910     928     715
VA                     6872912     1.2   94189   53825   18540   24326
WA                     5756361     1.2   79837   43226   21360   11058
WV                     1806928    -0.3   20438   19027     238   -6298
WI                     5250446     0.5   67521   46617    2633    5472
WY                      479602    -0.1    6266    3882     170   -3007
;
*proc print;run;
